import { SNSClient } from '@aws-sdk/client-sns';
import { EventNotifier } from '@othree.io/chisel';
import { Event } from '@othree.io/chisel/lib';
export interface ChiselSnsConfiguration<AggregateRoot> {
    readonly TopicArn: string;
    readonly BoundedContext: string;
    readonly IsFifo: boolean;
    readonly GetMessageGroupId?: (event: Event, state: AggregateRoot) => string;
}
export declare function SnsEventNotifier<AggregateRoot>(snsClient: SNSClient, configuration: ChiselSnsConfiguration<AggregateRoot>): EventNotifier<AggregateRoot>;
//# sourceMappingURL=sns-event-notifier.d.ts.map